# $Revision: 1.10 $, $Date: 2004/12/01 17:55:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Symbolic
Summary:	Math::Symbolic - symbolic calculations
Summary(pl):	Math::Symbolic - obliczenia symboliczne
Name:		perl-Math-Symbolic
Version:	0.134
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d18439860ced6d1a4b1f7936cb19836d
%if %{with tests}
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Memoize) >= 1.01
BuildRequires:	perl-Parse-RecDescent >= 1.94
BuildRequires:	perl-Pod-Coverage >= 0.11
BuildRequires:	perl(Test::More)
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Symbolic is intended to offer symbolic calculation capabilities
to the Perl programmer without using external (and commercial)
libraries and/or applications.

There are several ways to construct Math::Symbolic trees. There are no
actual Math::Symbolic objects, but rather trees of objects of
subclasses of Math::Symbolic. The most general but unfortunately also
the least intuitive way of constructing trees is to use the
constructors of the Math::Symbolic::Operator,
Math::Symbolic::Variable, and Math::Symbolic::Constant classes to
create (nested) objects of the corresponding types.

Furthermore, you may use the overloaded interface to apply the
standard Perl operators (and functions) to existing Math::Symbolic
trees and standard Perl expressions.

Possibly the most convenient way of constructing Math::Symbolic trees
is using the builtin parser to generate trees from expressions such as
'2 * x^5'. You may use the Math::Symbolic->parse_from_string() class
method for this.

Of course, you may combine the overloaded interface with the parser to
generate trees with Perl code such as "$term * 5 * 'sin(omega*t+phi)'"
which will create a tree of the existing tree $term times 5 times the
sine of the vars omega times t plus phi.

%description -l pl
Pakiet Math::Symbolic oferuje programistom perlowym moliwo oblicze
symbolicznych bez uywania zewntrznych (i komercyjnych) bibliotek
i/lub aplikacji.

Drzewa Math::Symbolic mona tworzy na kilka sposobw. Nie ma
waciwych obiektw Math::Symbolic, zamiast nich uywa si podklas
Math::Symbolic. Najbardziej oglnym, ale niestety najmniej intuicyjnym
sposobem tworzenia drzew jest uycie konstruktorw klas
Math::Symbolic::Operator, Math::Symbolic::Variable i
Math::Symbolic::Constant do tworzenia (zagniedonych) obiektw
odpowiednich typw.

Poza tym mona uywa interfejsu przeciania, aby uywa
standardowych operatorw (i funkcji) Perla na istniejcych drzewach
Math::Symbolic i standardowych wyraeniach perlowych.

Prawdopodobnie najwygodniejszym sposobem tworzenia drzew
Math::Symbolic jest uywanie wbudowanego parsera do generowania drzew
z wyrae takich jak '2 * x^5'. Mona do tego uy metody klasy
Math::Symbolic->parse_from_string().

Oczywicie mona czy interfejs przeciania z parserem przy
generowaniu drzew w kodzie perlowym - na przykad
"$term * 5 * 'sin(omega*t+fi)'" stworzy drzewo z istniejcego
drzewa $term pomnoonego przez 5 razy sinus omega razy t plus fi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Math/Symbolic.pm
%{perl_vendorlib}/Math/Symbolic
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Symbolic.spec,v $
Revision 1.10  2004/12/01 17:55:17  radek
- autoupdated to 0.134

Revision 1.9  2004/11/03 22:30:35  paladine
- formatting

Revision 1.8  2004/10/24 15:53:16  paladine
- spelling fixes, uppercases, etc.

Revision 1.7  2004/05/23 23:36:50  adamg
- updated to 0.133

Revision 1.6  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/23 07:50:19  ankry
- license fixes, unification

Revision 1.4  2004/04/13 11:33:19  adamg
- updated to 0.132

Revision 1.3  2004/04/04 19:36:41  adamg
- updated to 0.131

Revision 1.2  2004/01/06 21:53:40  migo
- up to 0.126, more strict BR's

Revision 1.1  2003/10/25 00:47:40  qboosh
- new

